<?php
defined('ABSPATH') || exit;

use \WCStepFilter\Core;

$arguments = Core::getTemplatePartArgs([
    'id' => null,
    'question' => null
]);

if (!isset($arguments['question']->viewType) || in_array($arguments['question']->viewType, ['formula'])) {
    return;
}

$classes = [
    'wcsf-fields',
    'is-' . esc_attr($arguments['question']->viewType),
    'is-alignment-' . esc_attr($arguments['question']->alignment),
    'is-question-' . esc_attr($arguments['question']->id)
];
?>
<div class="<?php echo esc_attr(implode(' ', $classes)); ?>"><?php
    Core::getTemplatePart('fields/' . $arguments['question']->viewType, $arguments);
    ?></div>
