<?php
defined('ABSPATH') || exit;

use \WCStepFilter\Core;

$arguments = Core::getTemplatePartArgs([
    'enableValue' => true,
    'step' => null,
    'steps' => [],
    'mode' => 'single-step'
]);

$activeStepId = $arguments['step']->id;

foreach ($arguments['steps'] as $step) {
    if ($step->id != 'results') {
        Core::getTemplatePart('step', array_replace($arguments, ['step' => $step]));
    } else {
        Core::getTemplatePart('products/index', $arguments);
    }

    if ($arguments['mode'] == 'sequence' && $activeStepId == $step->id) {
        break;
    }
}
